<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'french';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'fr_FR.ISO8859-1';
		break;

	default:
		$locale = 'fr_FR';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'LTR',
'lang_encoding'			=>	'iso-8859-1',

// Notices
'Bad request'			=>	'Erreur. Le lien que vous avez suivi est incorrect ou p&eacute;rim&eacute;.',
'No permission'			=>	'Vous n\'&ecirc;tes pas autoris&eacute; &agrave; afficher cette page.',
'Bad referer'			=>	'Mauvais referer. Vous &ecirc;tes arriv&eacute; sur cette page d\'une origine interdite. R&eacute;essayez. Si le probl&egrave;me persiste, assurez-vous que \'Base URL\' est correctement sp&eacute;cifi&eacute; dans Admin/Options et que vous visitez le forum sur cette URL.',

// Miscellaneous (used in many scripts)
'Options'				=>	'Options',
'Actions'				=>	'Actions',
'Submit'				=>	'Poster',	// "name" of submit buttons
'Banned message'		=>	'Vous &ecirc;tes exclu de ce forum. Pour toute question, contactez l\'administrateur ',
'Never'					=>	'Jamais',
'Today'					=>	'Aujourd\'hui',
'Yesterday'				=>	'Hier',
'First page'			=>	'Premi&egrave;re&nbsp;page',
'Last page'				=>	'Derni&egrave;re&nbsp;page',
'Info'					=>	'Info',		// a common table header
'Go back'				=>	'Retour',
'Maintenance'			=>	'Maintenance',
'Redirecting'			=>	'Redirection',
'Click redirect'		=>	'Cliquez ici si vous ne voulez pas attendre ou si votre brouteur ne vous redirige pas.',
'Login required'		=>	'Seuls les utilisateurs enregistr&eacute;s sont autoris&eacute;s &agrave; lire ce forum.',
'Login'					=>  'Connexion',
'or'					=>  'ou',
'register'				=>  'enregistrement',
'on'					=>	'actif',		// as in "BBCode is on"
'off'					=>	'inactif',
'Invalid e-mail'		=>	'L\'adresse e-mail n\'est pas valide.',
'required field'		=>	'doit &ecirc;tre renseign&eacute;.',	// for javascript form validation
'Last post'				=>	'Dernier message',
'by'					=>	'par',	// as in last post by someuser
'Username'				=>	'Nom d\'utilisateur',
'E-mail'				=>	'E-mail',
'Registered'			=>	'Enregistr&eacute;',
'Message'				=>	'Message',
'Topic'					=>	'Sujet',
'Forum'					=>	'Forum',
'Posts'					=>	'Messages',
'Replies'				=>	'R&eacute;ponses',
'Author'				=>	'Auteur',
'Pages'					=>	'Pages',
'and'					=>	'et',

// Title
'Title'					=>	'Titre',
'Member'				=>	'Membre',	// Default title
'Moderator'				=>	'Moderateur',
'Administrator'			=>	'Administrateur',
'Banned'				=>	'Exclu',
'Guest'					=>	'Invit&eacute;',

// Stuff for include/parser.php
'BBCode error'			=>	'La syntaxe BBCode est incorrecte.',
'BBCode error 1'		=>	'Marqueur de d&eacute;but manquant pour [/quote].',
'BBCode error 2'		=>	'Marqueur de fin manquant pour [code].',
'BBCode error 3'		=>	'Marqueur de d&eacute;but manquant pour [/code].',
'BBCode error 4'		=>	'Un ou plusieurs marqueurs de fin manquants pour [quote].',
'BBCode error 5'		=>	'Un ou plusieurs marqueurs de d&eacute;but manquants pour [/quote].',

// Stuff for the navigator (top of every page)
'Home'					=>	'Accueil',
'User list'				=>	'Liste utilisateurs',
'Rules'					=>  'R&egrave;gles',
'Search'				=>  'Recherche',
'Register'				=>  'Enregistrement',
'Login'					=>  'Connexion',
'Not logged in'			=>  'Vous n\'&ecirc;tes pas connect&eacute;.',
'Profile'				=>	'Profil',
'Logout'				=>	'D&eacute;connexion',
'Logged in as'			=>	'Connect&eacute; en tant que',
'Admin'					=>	'Admin',
'Last visit'			=>	'Derni&egrave;re visite',

// Stuff for the page footer
'Show new posts'		=>	'Voir les nouveaux messages depuis la derni&egrave;re visite',
'Show unanswered posts'	=>	'Voir les messages sans r&eacute;ponse',
'Show your posts'		=>	'Voir vos messages',
'Mark all as read'		=>	'Marquer tous les forums comme lus',
'Jump to'				=>	'Aller &agrave;',
'Go'					=>	' Aller ',		// submit button in forum jump
'Move topic'			=>  'D&eacute;placer',
'Open topic'			=>  'Ouvrir',
'Close topic'			=>  'Fermer',
'Unstick topic'			=>  'D&eacute;coller',
'Stick topic'			=>  'Scotcher',
'Edit subscribers'		=>  'Editer les abonn&eacute;s'

);
